package com.gic.auth.dto.open;

import java.io.Serializable;

/**
 * 对第三方开发者资源授权清单
 * @ClassName: ResourceOpenDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/3/2 9:31 AM 
 */
public class ResourceOpenDTO implements Serializable{
    private static final long serialVersionUID = 4553619781718084109L;

    /**
     * 门店资源
     */
    private StoreResourceDTO store;
    /**
     * 用户资源
     */
    private UserResourceDTO userResource;
    /**
     * 渠道资源
     */
    private ChannelResourceDTO channelResource;
    /**
     * 订单资源
     */
    private OrderResourceDTO orderResource;
    /**
     * 商品资源
     */
    private GoodsResourceDTO goodsResource;


    public StoreResourceDTO getStore() {
        return store;
    }

    public void setStore(StoreResourceDTO store) {
        this.store = store;
    }

    public UserResourceDTO getUserResource() {
        return userResource;
    }

    public void setUserResource(UserResourceDTO userResource) {
        this.userResource = userResource;
    }

    public ChannelResourceDTO getChannelResource() {
        return channelResource;
    }

    public void setChannelResource(ChannelResourceDTO channelResource) {
        this.channelResource = channelResource;
    }

    public OrderResourceDTO getOrderResource() {
        return orderResource;
    }

    public void setOrderResource(OrderResourceDTO orderResource) {
        this.orderResource = orderResource;
    }

    public GoodsResourceDTO getGoodsResource() {
        return goodsResource;
    }

    public void setGoodsResource(GoodsResourceDTO goodsResource) {
        this.goodsResource = goodsResource;
    }

    @Override
    public String toString() {
        return "ResourceOpenDTO{" +
                "store=" + store +
                ", userResource=" + userResource +
                ", channelResource=" + channelResource +
                ", orderResource=" + orderResource +
                ", goodsResource=" + goodsResource +
                '}';
    }
}
