package com.gic.auth.entity;

import java.util.Date;

/**
 * tab_sys_user
 */
/**
 * 
 * @ClassName: TabSysUser
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:42
 */
public class TabSysUser {
    /**
     * 用户id
     */
    private Integer userId;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 手机号码
     */
    private String phoneNumber;

    /**
     * 密码
     */
    private String password;

    /**
     * 是否是超级管理员
     */
    private Integer superAdmin;

    /**
     * 状态，0有效，1无效
     */
    private Integer deleteFlag;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    /**
     * 
     */
    private Integer enterpriseId;

    /**
     * 国际区号，如中国 86
     */
    private String phoneAreaCode;

    /**
     * 受审组，可以有多个，用英文逗号隔开
     */
    private String userGroupIds;

    /**
     * 登陆账号类型 1:运营 0:默认GIC
     */
    private Integer loginType = 0;

    /**
     * 1：自动生成 2：自定义密码
     */
    private Integer passwordType;

    /**
     * 账号类型 1:永久账号 2:临时账号
     */
    private Integer accountType;

    /**
     * 临时账号到期时间
     */
    private Date accountDueDate;

    /**
     * 职位 1:区域经理、2:线下运营、3:电商运营、4:IT专员、5:数据专员 子管理员必填
     */
    private Integer userPosition;

    /***
     * 营销是否触达  1是0否
     */
    private Integer markingFlag;

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Integer getSuperAdmin() {
        return superAdmin;
    }

    public void setSuperAdmin(Integer superAdmin) {
        this.superAdmin = superAdmin;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public TabSysUser setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getPhoneAreaCode() {
        return phoneAreaCode;
    }

    public void setPhoneAreaCode(String phoneAreaCode) {
        this.phoneAreaCode = phoneAreaCode;
    }

    public String getUserGroupIds() {
        return userGroupIds;
    }

    public void setUserGroupIds(String userGroupIds) {
        this.userGroupIds = userGroupIds;
    }

    public Integer getLoginType() {
        return loginType;
    }

    public void setLoginType(Integer loginType) {
        this.loginType = loginType;
    }

    public Integer getPasswordType() {
        return passwordType;
    }

    public void setPasswordType(Integer passwordType) {
        this.passwordType = passwordType;
    }

    public Integer getAccountType() {
        return accountType;
    }

    public TabSysUser setAccountType(Integer accountType) {
        this.accountType = accountType;
        return this;
    }

    public Date getAccountDueDate() {
        return accountDueDate;
    }

    public TabSysUser setAccountDueDate(Date accountDueDate) {
        this.accountDueDate = accountDueDate;
        return this;
    }

    public Integer getUserPosition() {
        return userPosition;
    }

    public TabSysUser setUserPosition(Integer userPosition) {
        this.userPosition = userPosition;
        return this;
    }

    public Integer getMarkingFlag() {
        return markingFlag;
    }

    public TabSysUser setMarkingFlag(Integer markingFlag) {
        this.markingFlag = markingFlag;
        return this;
    }
}