package com.gic.auth.service.impl;

import com.gic.auth.dao.mapper.TabSysMenuAuthDepartMapper;
import com.gic.auth.dto.MenuAuthDepartDTO;
import com.gic.auth.entity.TabSysMenuAuthDepart;
import com.gic.auth.service.MenuAuthDepartService;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
/**
 * 
 * @ClassName: MenuAuthDepartServiceImpl
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:37
 */
@Service("menuAuthDepartService")
public class MenuAuthDepartServiceImpl implements MenuAuthDepartService{
    @Autowired
    private TabSysMenuAuthDepartMapper tabSysMenuAuthDepartMapper;

    @Override
    public void saveFetch(List<MenuAuthDepartDTO> list, String menuCode) {
        tabSysMenuAuthDepartMapper.deleteByMenuCode(menuCode);
        if (CollectionUtils.isNotEmpty(list)) {
            tabSysMenuAuthDepartMapper.saveFetch(list);
        }
    }

    @Override
    public List<TabSysMenuAuthDepart> listAuthDepartByMenuCode(String menuCode) {
        return tabSysMenuAuthDepartMapper.listAuthDepartByMenuCode(menuCode);
    }

    @Override
    public List<TabSysMenuAuthDepart> listAllAuthDepart(List<String> menuCodeList) {
        return tabSysMenuAuthDepartMapper.listAllAuthDepart(menuCodeList);
    }
}
